import request from '@/utils/request'

// 查询行业分析列表
export function listMallIndustryAnalysis(query) {
  return request({
    url: '/mall/mallIndustryAnalysis/list',
    method: 'get',
    params: query
  })
}

// 查询行业分析详细
export function getMallIndustryAnalysis(industryAnalysisId) {
  return request({
    url: '/mall/mallIndustryAnalysis/' + industryAnalysisId,
    method: 'get'
  })
}

// 新增行业分析
export function addMallIndustryAnalysis(data) {
  return request({
    url: '/mall/mallIndustryAnalysis',
    method: 'post',
    data: data
  })
}

// 修改行业分析
export function updateMallIndustryAnalysis(data) {
  return request({
    url: '/mall/mallIndustryAnalysis',
    method: 'put',
    data: data
  })
}

// 删除行业分析
export function delMallIndustryAnalysis(industryAnalysisId) {
  return request({
    url: '/mall/mallIndustryAnalysis/' + industryAnalysisId,
    method: 'delete'
  })
}
